"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const ConfigService_1 = require("../service/ConfigService");
const ComposeService_1 = require("../service/ComposeService");
const BootstrapUtils_1 = require("../service/BootstrapUtils");
class Compose extends command_1.Command {
    run() {
        const { flags } = this.parse(Compose);
        BootstrapUtils_1.BootstrapUtils.showBanner();
        return new ComposeService_1.ComposeService(Object.assign(Object.assign({}, flags), { root: this.config.root })).run();
    }
}
exports.default = Compose;
Compose.description = 'It generates the docker-compose.yml file from the configured network.';
Compose.examples = [`$ symbol-bootstrap compose`];
Compose.flags = {
    help: command_1.flags.help({ char: 'h', description: 'It shows the help of this command.' }),
    target: command_1.flags.string({
        char: 't',
        description: 'the target folder',
        default: ConfigService_1.ConfigService.defaultParams.target,
    }),
    user: command_1.flags.string({
        char: 'u',
        description: 'User used to run the services in the docker-compose.yml file. "current" means the current user.',
        default: 'current',
    }),
};
