"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const ConfigService_1 = require("../service/ConfigService");
const RunService_1 = require("../service/RunService");
const BootstrapUtils_1 = require("../service/BootstrapUtils");
class Stop extends command_1.Command {
    run() {
        const { flags } = this.parse(Stop);
        BootstrapUtils_1.BootstrapUtils.showBanner();
        return new RunService_1.RunService(Object.assign(Object.assign({}, flags), { root: this.config.root })).stop();
    }
}
exports.default = Stop;
Stop.description = `It stops the docker-compose network if it's running (example, when symbol-bootstrap start --daemon).`;
Stop.examples = [`$ symbol-bootstrap stop`];
Stop.flags = {
    help: command_1.flags.help({ char: 'h', description: 'It shows the help of this command.' }),
    target: command_1.flags.string({
        char: 't',
        description: 'the target folder',
        default: ConfigService_1.ConfigService.defaultParams.target,
    }),
};
